class galaxy {
    static get = (url, data = '', resType = 'text') => {
        console.log('URL: ', url);
        
        let result = new Promise((resolve, reject) => {
            var xhr = new XMLHttpRequest();
            
            xhr.onload = function() {
                if(xhr.status === 200)
                {
                    // console.log('ResponseText: ', this.responseText);
                    // console.log('ResponseType: ', this.responseType); 
                    resolve(xhr.responseText);
                }
                else
                {
                    console.log(xhr.status);
                }
            }

            xhr.onerror = function(e) {
                reject('Status: ' + xhr.status);
            }
      
            xhr.open('GET', url, true);
            xhr.send();
          
        });
      
        return result;
    }

    static post = (url, data = '', resType = 'text') => {
        
        let result = new Promise((resolve, reject) => {
            var xhr = new XMLHttpRequest();
            
            xhr.onload = function() {
                if(xhr.status === 200)
                {
                    // console.log('ResponseText: ', this.responseText);
                    // console.log('ResponseType: ', this.responseType); 
                    resolve(xhr.responseText);
                }
                
            }
            
            xhr.onerror = function(e) {
                reject('Status: ' + xhr.status);
            }
      
            xhr.open('POST', url, true);
            xhr.send();
          
        });
      
        return result;
    }
} 

// export default galaxy;
